%define octave_api api-v28

Name:           octave-forge
Version:        2006.07.09
Release:        %mkrel 5
Epoch:          0
Summary:        Contributed functions for octave
Group:          Sciences/Mathematics
License:        Public Domain
URL:            http://octave.sourceforge.net/
Source0:        %{name}-%{version}.patched.tar.gz
Patch0:         octave-forge-2006.07.09-legend.patch
Patch1:         octave-forge-2006.07.09-imread.patch
Patch2:         octave-forge-2006.07.09-path.patch
Patch3:         octave-forge-2006.07.09-configure.patch
Patch4:         octave-forge-2006.07.09-octave3.patch
Requires:       ImageMagick
Requires:       octave3
Requires:       octave(api) = %{octave_api}
BuildRequires:  cvs2cl
BuildRequires:  gcc-gfortran
BuildRequires:  ginac-devel
BuildRequires:  gsl-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  latex2html
BuildRequires:  jpeg-devel
BuildRequires:  nc-dap-devel
BuildRequires:  ncurses-devel
BuildRequires:  png-devel
BuildRequires:  octave3-devel
BuildRequires:  octave(api) = %{octave_api}
BuildRequires:  pcre-devel
BuildRequires:  qhull-devel
BuildRequires:  tetex
BuildRequires:  tetex-latex
BuildRequires:  tetex-dvipdfm
BuildRequires:  tetex-dvips
BuildRequires:  tetex-texi2html
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Octave-forge is a community project for collaborative development of
octave extensions. The extensions in this package include additional
data types such as sparse matrices, and functions for a variety of
different applications including signal and image processing,
communications, control, optimization, statistics, geometry, and
symbolic math.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
/bin/touch extra/MacOSX/NOINSTALL
/bin/touch extra/testfun/NOINSTALL
/bin/touch extra/mex/NOINSTALL

%build
ALTMPATHNAME=%{_datadir}/octave/site/octave-forge-alternatives/m/octave-forge
XPATHNAME=`%{_bindir}/octave-config -p LOCALARCHLIBDIR`/octave-forge
%{configure2_5x} --with-altmpath=$ALTMPATHNAME --with-xpath=$XPATHNAME
%{make}

%install
%{__rm} -rf %{buildroot}

ALTPATHNAME=octave/site/octave-forge-alternatives
HOSTTYPE=`%{_bindir}/octave-config -p CANONICAL_HOST_TYPE`
%{makeinstall_std} \
  MPATH=`%{_bindir}/octave-config -p LOCALFCNFILEDIR`/octave-forge \
  OPATH=`%{_bindir}/octave-config -p LOCALAPIOCTFILEDIR`/octave-forge \
  XPATH=`%{_bindir}/octave-config -p LOCALARCHLIBDIR`/octave-forge \
  ALTPATH=%{_datadir}/$ALTPATHNAME/m \
  ALTMPATH=%{_datadir}/$ALTPATHNAME/m/octave-forge \
  ALTOPATH=%{_libexecdir}/$ALTPATHNAME/oct/$HOSTTYPE

# XXX: see http://qa.mandriva.com/show_bug.cgi?id=35790
%{__rm} %{buildroot}%{_datadir}/octave/site/m/octave-forge/plot/drawnow.m

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING* README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%{_datadir}/octave/*
%{_libexecdir}/octave/*


%changelog
* Mon Nov 26 2007 David Walluck <walluck@mandriva.org> 0:2006.07.09-5mdv2008.1
+ Revision: 112009
- workaround bug #35790

* Sun Nov 11 2007 David Walluck <walluck@mandriva.org> 0:2006.07.09-4mdv2008.1
+ Revision: 107503
- fix build with latest octave

* Mon Oct 22 2007 David Walluck <walluck@mandriva.org> 0:2006.07.09-3mdv2008.1
+ Revision: 101273
- rebuild for latest octave

* Mon Oct 01 2007 David Walluck <walluck@mandriva.org> 0:2006.07.09-2mdv2008.0
+ Revision: 94101
- add sources
- revert back to version 2006.07.09 which is actually buildable
- (Build)Requires: octave(api) = api-v26
- BuildRequires: latex2html (at least for later versions)
- use parallel make
- 2007.07.26
- remove Requires: octave(api) = api-v24

* Thu Jun 07 2007 David Walluck <walluck@mandriva.org> 0:2006.07.09-1mdv2008.0
+ Revision: 36714
- 2006.07.09


* Sun Mar 04 2007 David Walluck <walluck@mandriva.org> 2006.03.17-3mdv2007.0
+ Revision: 132569
- rebuild
- Import octave-forge

* Mon Sep 11 2006 David Walluck <walluck@mandriva.org> 0:2006.03.17-2mdv2007.0
- rebuild with latest ginac and gfortran
- reenable main/octcdf on x86-64
- disable main/sparse due to compilation problems with fill()

* Fri Mar 24 2006 David Walluck <walluck@mandriva.org> 0:2006.03.17-1mdk
- 2006.03.17
- temporarily remove octcdf on x86_64 due to -fPIC issues

* Tue Feb 07 2006 David Walluck <walluck@mandriva.org> 0:2006.01.28-1mdk
- 2006.01.28

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:2005.06.13-2mdk
- rebuild to fix libcln dependency

* Thu Sep 01 2005 David Walluck <walluck@mandriva.org> 0:2005.06.13-1mdk
- 2005.06.13
- rediff patch0
- rebuild (bug #17371)

* Sat Apr 23 2005 David Walluck <walluck@mandriva.org> 0:2004.11.16-3mdk
- fix BuildRequires (bug #13364)

* Tue Feb 08 2005 Abel Cheung <deaddog@mandrake.org> 2004.11.16-2mdk
- Rebuild against new readline

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 2004.11.16-1mdk
- New release
- P1: Add support for CAPITA: CEO
- Fix BuildRequires
- Need not apply patch 0 now
- Bring back rasmol.sh
- Fix permission for .oct files
- Don't move header files and split package, because headaer files are not
  for public consumption (used internally), and mex really wants header
  files inside specific location

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2004.07.07-1mdk
- new release
- fix buildrequires
- fix download url
- patch 0: fix compiling with new g++

